View Issue Details

IDProjectCategoryView StatusLast Update
0035968LazarusWidgetsetpublic2019-08-17 22:58
ReporterBlake Assigned ToDmitry Boyarintsev  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version2.0.3 (SVN) 
Summary0035968: (Cocoa) Cannot set TScrollBar to vertical dimensions
DescriptionThis appears to happen at design time or at runtime.

I understand that Kind = sbVertical does not do anything for a Cocoa scrollbar (horizontal/vertical implied by dimensions), but the NSScroller frame is not set properly.
Steps To Reproducescroll := TScrollBar.Create(self);
scroll.width := 15;
scroll.height := 100;

The NSScroller will appear to be 100 wide, and the default 15 pixels high.
Additional InformationUsing TCocoaScrollBar(handle) to get the NSScroller from the handle and calling setFrame does the trick as a work-around.
TagsNo tags attached.
Fixed in Revision61709
LazTarget-
WidgetsetCocoa
Attached Files

Activities

Dmitry Boyarintsev

2019-08-16 16:08

developer   ~0117704

a project sample?

Blake

2019-08-16 18:34

reporter   ~0117707

Here is an example project. This demonstrates the problem, but not the work-around. For some reason, TCocoaScrollBar(handle).setFrame does not work in a Lazarus project. It does work in an Xcode project (sorry I don't have a small example of that at the moment).

Dmitry Boyarintsev

2019-08-16 22:09

developer   ~0117712

please test and close if ok

Blake

2019-08-17 22:58

reporter   ~0117720

Confirmed fixed in 61718, thanks!

Issue History

Date Modified Username Field Change
2019-08-15 23:48 Blake New Issue
2019-08-16 16:08 Dmitry Boyarintsev Assigned To => Dmitry Boyarintsev
2019-08-16 16:08 Dmitry Boyarintsev Status new => feedback
2019-08-16 16:08 Dmitry Boyarintsev LazTarget => -
2019-08-16 16:08 Dmitry Boyarintsev Note Added: 0117704
2019-08-16 18:34 Blake File Added: testingVerticalScrollbar.zip
2019-08-16 18:34 Blake Note Added: 0117707
2019-08-16 18:34 Blake Status feedback => assigned
2019-08-16 22:09 Dmitry Boyarintsev Status assigned => resolved
2019-08-16 22:09 Dmitry Boyarintsev Resolution open => fixed
2019-08-16 22:09 Dmitry Boyarintsev Fixed in Revision => 61709
2019-08-16 22:09 Dmitry Boyarintsev Widgetset Cocoa => Cocoa
2019-08-16 22:09 Dmitry Boyarintsev Note Added: 0117712
2019-08-17 22:58 Blake Status resolved => closed
2019-08-17 22:58 Blake Note Added: 0117720